org.modeshape.jcr.query.optimize

## Class RewritePseudoColumns

- java.lang.Object
- - org.modeshape.jcr.query.optimize.RewritePseudoColumns

- All Implemented Interfaces:
    OptimizerRule

      @Immutable
      public class RewritePseudoColumns
      extends Object
      implements OptimizerRule

  Changes any criteria that writes criteria containing pseudo-columns into standard criteria.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static RewritePseudoColumns` | `INSTANCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RewritePseudoColumns()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `PlanNode` | `execute(QueryContext context, PlanNode plan, LinkedList<OptimizerRule> ruleStack)` Optimize the supplied plan using the supplied context, hints, and yet-to-be-run rules.
    `protected Constraint` | `rewrite(QueryContext context, Constraint constraint)`
    `protected DynamicOperand` | `rewrite(QueryContext context, DynamicOperand operand)`
    `protected JoinCondition` | `rewrite(QueryContext context, JoinCondition condition)`
    `protected List<Constraint>` | `rewrite(QueryContext context, List<Constraint> constraints)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final RewritePseudoColumns INSTANCE

  - ### Constructor Detail

    - #### RewritePseudoColumns

          public RewritePseudoColumns()

  - ### Method Detail

    - #### execute

          public PlanNode execute(QueryContext context,
                         PlanNode plan,
                         LinkedList<OptimizerRule> ruleStack)

      Description copied from interface: `OptimizerRule`
      Optimize the supplied plan using the supplied context, hints, and yet-to-be-run rules.
      Specified by:
        `execute` in interface `OptimizerRule`
      Parameters:
        `context` - the context in which the query is being optimized; never null
        `plan` - the plan to be optimized; never null
        `ruleStack` - the stack of rules that will be run after this rule; never null
      Returns:
        the optimized plan; never null

    - #### rewrite

          protected JoinCondition rewrite(QueryContext context,
                              JoinCondition condition)

    - #### rewrite

          protected List<Constraint> rewrite(QueryContext context,
                                 List<Constraint> constraints)

    - #### rewrite

          protected Constraint rewrite(QueryContext context,
                           Constraint constraint)

    - #### rewrite

          protected DynamicOperand rewrite(QueryContext context,
                               DynamicOperand operand)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.